Get Member Information
GET
https://api.vercel.com/v1/installations/{integrationConfigurationId}/member/{memberId}Returns the member role and other information for a given member ID ("user_id" claim in the SSO OIDC token).
https://api.vercel.com/v1/installations/{integrationConfigurationId}/member/{memberId}
const response = await fetch('https://api.vercel.com/v1/installations/integrationConfigurationId/member/memberId', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "globalUserId": "example_id", "id": "icfg_1234567890", "role": "ADMIN", "userEmail": "user@example.com"}AuthorizationbearerToken
Default authentication mechanism
200Success
"The
ADMIN role, by default, is provided to users capable of installing integrations, while the USER role can be granted to Vercel users with the Vercel Billing or Vercel Viewer role, which are considered to be Read-Only roles."400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error